Subject: Re: bug#17351: Trunk emacs splats .emacs.desktop at startup

From: Juri Linkov <[email-masked]>
Date: Thu, 03 Jul 2014 02:52:41 +0300

> Meanwhile, I installed the patch that temporarily disables the
> autosave in `desktop-read' into the emacs-24 branch, so people
> won't lose the desktop in case of errors.

This handles the case when there are errors in the desktop file.

But another case is when the errors are in the init file, and the buffer
*Warnings* is displayed.  The remaining problem is that the buffer
*Warnings* becomes hidden behind the restored window configuration,
so the user has no indication about the errors in the init file.